//PIC18F4431 Config for Swarm Project
#ifndef __MAIN_H
#define __MAIN_H

//***Pin Definitions***
#define notRTS SELECTOR3	//Define former SELECTOR3 pin for the notRTS pin.
#define notCTS SELECTOR2

//***Macros***
#define SQUARE(x) ((x) * (x))

//***Parameters***


//Robots starting coords.  Not important if you have a localization system
//because it will overwrite these values.  Used mainly for testing.
#define AGENT_ID 1
#if (AGENT_ID == 1)
//starting position of Agent 2
	#define START_COORD_X -300.0
	#define START_COORD_Y 50.0
	#define START_THETA 0.0
	
#elif (AGENT_ID ==2)	
//starting position of Agent 2
	#define START_COORD_X 300.0
	#define START_COORD_Y -100.0
	#define START_THETA 0.0
//add more #elif statements as necessary
#endif
float robotX = START_COORD_X;  //Robot's position/orientation
float robotY = START_COORD_Y;
float robotTheta = START_THETA;


//Consensus estimator variables
#define NUM_DATA_SETS 5 	//Number of variables for which consensus needs to be found (Ix, Iy, Ixx, Ixy, Iyy)
#define NUMBERS_PER_SET 2	//Number of datums that need to be transmitted for each variable (x_i, w_i)
#define DATATYPE_BYTELENGTH 4	//Number of bytes in each data type (float = 4 bytes long)
#define DATA_ARRAY_LENGTH (NUM_DATA_SETS*NUMBERS_PER_SET)	//Total number of data in packet
#define ADDITIONAL_NUMS 5	//Additional number of data to be appended to data frame

void delay(long time){ //250 is about 1 ms
	long i;
	for (i=0; i<time; i++){
	}
}
#endif


